MVP.Data.Bfile2MVP {rMVP} | R Documentation

## MVP.Data.Bfile2MVP: To transform plink binary data to MVP package Author: Haohao Zhang Build date: Sep 12, 2018

### Description

MVP.Data.Bfile2MVP: To transform plink binary data to MVP package Author: Haohao Zhang Build date: Sep 12, 2018

### Usage

    MVP.Data.Bfile2MVP(bfile, out = "mvp", maxLine = 10000,
      priority = "speed", type.geno = "char", threads = 0,
      verbose = TRUE)

### Arguments

`bfile` | Genotype in binary format (.bed, .bim, .fam)
`out` | the name of output file
`maxLine` | the max number of line to write to big matrix for each loop
`priority` | 'memory' or 'speed'
`type.geno` | the type of genotype elements
`threads` | number of thread for transforming
`verbose` | whether to print the reminder

### Value

number of individuals and markers. Output files: genotype.desc, genotype.bin: genotype file in bigmemory format phenotype.phe: ordered phenotype file, same taxa order with genotype file map.map: SNP information

### Examples

    bfilePath <- system.file("extdata", "02_bfile", "mvp", package = "rMVP")

    MVP.Data.Bfile2MVP(bfilePath, file.path(tempdir(), "rMVP.test"))

[Package rMVP version 0.99.15 Index]